<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Table and Forms</title>
</head>

<body>
    <header>
        <h1>HTML Table and Forms</h1>
    </header>
    <main>
        <section>
            <h2>HTML Entities</h2>
            <p><em>Reserve Characters in HTML (e.g &lt; or &gt; characters that can mix up with HTML code)</em>
            </p>
            <!-- Defines an HTML Table -->
            <table border="1">
                <thead>
                    <!-- HEADER CONTENT -->
                    <tr>
                        <th colspan="2">Entity</th>
                        <th>Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>&lt;</td>
                        <td>lt</td>
                        <td>less than</td>
                    </tr>
                    <tr>
                        <td>&gt;</td>
                        <td>gt</td>
                        <td>greater than</td>
                    </tr>
                    <tr>
                        <td>&#8369;</td>
                        <td>#8369</td>
                        <td>peso sign</td>
                    </tr>
                    <tr>
                        <td>&amp;</td>
                        <td>#38 / amp</td>
                        <td>ampersand</td>
                    </tr>
                    <tr>
                        <td>&quot;</td>
                        <td>#34 / quot</td>
                        <td>double quotation mark</td>
                    </tr>
                    <tr>
                        <td>&apos;</td>
                        <td>#39 / apos</td>
                        <td>single quotation mark (apostrophe)</td>
                    </tr>
                    <tr>
                        <td>n&#771;</td>
                        <td>Letter + &(#241); / ntilde</td>
                        <td>Lower Tilde</td>
                    </tr>
                    <tr>
                        <td>N&#771;</td>
                        <td>Letter + &(#771); / Ntilde</td>
                        <td>Upper Tilde</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <th colspan="3">List of HTML Entities</th>
                    </tr>
                </tfoot>
            </table>
        </section>
        <section>
            <p>HTML Forms</p>
            <p><em>Input elements that make up a form</em></p>
            <!-- Creates an html form to capture user input -->
            <form action="https://www.google.com/">
                <label for="full_name">Full Name:</label><input type="text" id="full_name" name="full_name"
                    placeholder="Full Name here" required autocomplete>
                <br>
                <label for="birth_date">Birth Date:</label><input type="date" id="birth_date" name="birth_date"
                    required>
                <br>
                <label for="age">Age:</label><input type="number" id="age" name="age" required min="1">
                <br>
                <label for="gender">Gender:</label>
                <select name="gender" id="gender">
                    <option value="" selected>----------</option>
                    <option value="male">Male</option>
                    <option value="female">Female</option>
                </select>
                <br>
                <label for="notes">Notes:</label><textarea name="notes" id="notes" rows="10"
                    style="resize:none"></textarea>
                <br>
                <label for="new_user">New User:</label>
                <input type="radio" name="new_user" id="user-type1" value="yes"><label for="user-type1">Yes</label>
                <input type="radio" name="new_user" id="user-type2" value="no"><label for="user-type2">No</label>
                <br>
                <label for="role">Role:</label>
                <input type="checkbox" name="role1" id="role1" value="developer"><label for="role1">Developer</label>
                <input type="checkbox" name="role2" id="role2" value="student"><label for="role2">Student</label>
                <input type="checkbox" name="role3" id="role3" value="manager"><label for="role3">Manager</label>
                <br>
                <button type="submit">Submit</button>
                <button type="reset">Reset</button>
            </form>
        </section>
    </main>
</body>

</html>